Type to search.

Cancel reindexing

Base URL
https://{kibana_url}
  • POST /api/upgrade_assistant/reindex/{index}/cancel
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Cancel reindexes that are waiting for the Elasticsearch reindex task to complete. For example, cancel reindexing if the lastCompletedStep has the value 40.

Path parameters

index string required

The name of the index that was reindexing.

Response

Indicates a successful call.

application/json
acknowledged boolean